//gold
textures/castlle/gold
	{
	surfaceparm metalsteps
	{
		map textures/castlle/tinfx.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/castlle/gold.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


textures/castlle/water04
{
	surfaceparm nonsolid
	cull disable
	deformVertexes wave 100 sin 0 1 0 1.5 
	{
		map textures/castlle/water04.tga
		blendfunc blend
		rgbGen Vertex
		tcMod scroll 0 -2
		alphaGen Vertex
	}
}


textures/castlle/water_05
	{
		qer_editorimage textures/castlle/water_05.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		q3map_lightsubdivide 256
		//fogparms 0.176 0.247 0.18 1024

		cull disable
			
		
		{ 
			map textures/castlle/water_05.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod transform 1.1 0 1.1 1 1 2
			tcmod scroll -.05 .001
		}
		
		{ 
			map textures/castlle/water_05.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod transform 1.1 0 1.1 1 1 2
			tcmod scroll -.05 .001
		}
		
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}

}


// ** Big Banner

textures/castlle/tvscreen1
{
	qer_editorimage textures/castlle/tvscreen1.tga
	q3map_lightimage textures/castlle/tvscreen1.tga
	q3map_surfacelight 100

	{
		animMap .15 textures/castlle/tvscreen1.tga textures/castlle/tvscreen2.tga textures/castlle/tvscreen3.tga
		rgbGen wave sawtooth 0 1 0 .15
	
	}

	{
		map textures/castlle/comp3textb.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 .15
		tcmod scroll 5 .25 
	}


	{
		map textures/castlle/comp3text.tga
		blendfunc add
		rgbGen identity
		tcmod scroll 2 2
	}

	{
map textures/castlle/elec_line.tga
		blendfunc add
	        	rgbGen identity
		tcmod scroll 3 3
}

	{


		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
		rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}


                
// ** banner flag **
textures/castlle/banner1
{
qer_editorimage textures/castlle/banner1.tga
surfaceparm nonsolid
surfaceparm alphashadow
cull none

deformVertexes wave 100 sin 0 1 0 .1
deformVertexes wave 30 sin 0 1 0 .1
tessSize 64

implicitMask textures/castlle/banner1.tga
}
// ** END FLAG CODE **

// ** banner flag **
textures/castlle/banner
{
qer_editorimage textures/castlle/banner.tga
surfaceparm nonsolid
surfaceparm alphashadow
cull none

deformVertexes wave 100 sin 0 1 0 .1
deformVertexes wave 30 sin 0 1 0 .1
tessSize 64

implicitMask textures/castlle/banner.tga
}
// ** END FLAG CODE **




textures/castlle/terrain_0
{
	q3map_baseshader textures/castlle/terrain_base
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )

qer_editorimage textures/castlle/rock_02.jpg
	
	{
		map textures/castlle/rock_02.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/castlle/terrain_1
{
	q3map_baseshader textures/castlle/terrain_base
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )

qer_editorimage textures/castlle/knc3_dirt1.jpg
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/castlle/knc3_dirt1.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/castlle/terrain_2
{
	q3map_baseshader textures/castlle/terrain_base
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )

qer_editorimage textures/castlle/concreteoriginal.jpg
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/castlle/concreteoriginal.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/castlle/terrain_0to1
{
	q3map_baseshader textures/castlle/terrain_base
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )

qer_editorimage textures/castlle/rock_02.jpg
	
	{
		map textures/castlle/rock_02.jpg
	}
	{
		map textures/castlle/knc3_dirt1.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/castlle/terrain_0to2
{
	q3map_baseshader textures/castlle/terrain_base
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )

qer_editorimage textures/castlle/rock_02.jpg
	
	{
		map textures/castlle/rock_02.jpg
	}
	{
		map textures/castlle/concreteoriginal.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/castlle/terrain_1to2
{
	q3map_baseshader textures/castlle/terrain_base
	qer_editorimage textures/castlle/knc3_dirt1.jpg
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )

     surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/castlle/knc3_dirt1.jpg
	}
	{
		map textures/castlle/concreteoriginal.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/castlle/terrain_base
{
	nopicmips
	q3map_lightmapaxis z
	q3map_lightmapmergable
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
}